<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		<title>Algorithms for Effective Vehicle Compound Management</title>

		<meta name="description" content="Presentation for Viva">
		<meta name="author" content="Stefano Mantini">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <script src="/node_modules/reveal.js/js/reveal.js"></script>

		<link rel="stylesheet" href="/node_modules/reveal.js/css/reveal.css">
		<link rel="stylesheet" href="/node_modules/reveal.js/css/theme/solarized.css" id="theme">

		<!-- Code syntax highlighting -->
		<link rel="stylesheet" href="/node_modules/reveal.js/lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? '/node_modules/reveal.js/css/print/pdf.css' : '/node_modules/reveal.js/css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src="/node_modules/reveal.js/lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
				<section>
					<h2>Algorithms for Effective Vehicle Compound Management</h2>
					<h4>Northumbria University</h4>

					<p>
						<small><a href="http://stefanomantini.co.uk">Stefano Mantini</a> 2016</small>
					</p>
				</section>

				<section>
					<section>
						<h2>Background</h2>
						<p>
							<ul>
								<li class="fragment">Industrial Placement Nissan Sunderland Plant</li>
								<li class="fragment">European Vehicle Logistics</li>
								<li class="fragment">Web Logistics Partner Mobile</li>
							</ul>
							<img class="fragment" src="lib/cars.jpg" style="display:block;margin-left:auto;margin-right:auto;"/>
						</p>
						<aside class="notes">
								<li>Over the past 2 years...</li>
								<li>The way in which Nissan manage vehicle logistics...</li>
							  <li>The system is based on a Legacy mainframe system developed in the early 90s</li>
								<li>While on placement...</li>
						</aside>

					</section>

					<section>
						<h2>Motivations</h2>
						<p>
							The main motivation being a small African compound that manages compounds in a novel way independently
							of the current SOP and the idea that this could be implemented on a larger scale for larger compounds to:
						</p>
						<p>
							<ul>
								<li>Reduce operational costs</li>
								<li>Reduce environmental impact of logistics</li>
								<li>Improve overall efficiency of compound logistics</li>
							</ul
						</p>
					</section>

				</section>

				<section>
					<section>
						<h2>Current SOP</h2>
						<p>
							Larger compounds input the vehicle to a mainframe-based system for "Gate-In" and recieve an
							arbitrary parking location based upon basic parking rules, for smaller compounds this is
							usually a first-place-of-rest within a single block.
						</p>
					</section>
					<section>
						<h2>Vehicles-In-Compound</h2>
						<p>
							Subsequent movement of vehicles is only performed when a vehicle in the first-place-of-rest
							becomes elegible to be moved e.g. recieves some instruction from the source system.
							The exception to this rule is if the first-place-of-rest becomes full then spaces elsewhere
							within the compound are used.
						</p>
					</section>
					<section>
						<img src="lib/CurrentSOP.png" />
					</section>
				</section>

				<section>
					<section>
						<h2>Novel African Compound SOP</h2>
						<p>
							This particular small compound manages vehicle movements with a restricted set of compound staff.
							It operates on an individual compound operator basis, planning a route based around pairs of vehicles
							which need to be picked up and dropped off, however often return to the compound to find th next pair.
						</p>
					</section>
					<section>
						<img src="lib/AfricaSOP.png" style="height:100%"/>
					</section>
				</section>

				<section>
					<section>
						<h2>Improved SOP</h2>
						<p>
							The availability of such information through the internet on portable devices makes it possible to complete a route
							without having to return to the compound. This method is the benchmark used in this project.
						</p>
					</section>
					<section>
						<img src="lib/WithVCM.png" style="height:100%"/>
					</section>
				</section>



				<section>
					<section data-background-video="/presentation/lib/BruteForce.webm"></section>
					<section>
						<a href="http://vcm-tsp.herokuapp.com/#/">DEMO</a>
					</section>
				</section>


				<section>
					<h2>Challenges</h2>
						<ul>
							<li>No prior experience with algorithms</li>
							<li>Time taken for comprehensive testing</li>
							<li>Casting the problem to a sufficiently generic form</li>
							<li>Implementing the algorithms effectively with the introduced constraints</li>
							<li>Working with the UI issues with the plotting library</li>
						</ul>
				</section>

				<section>
					<h2>Successes</h2>
						<ul>
							<li>Knowledge gained</li>
							<li>Reuseability of the API due to initial design decisions</li>
							<li>Build quality of the API &amp; UI</li>
							<li>The use of continuous development &amp; agile</li>
						</ul>
				</section>

				<section>
					<h2>Findings</h2>
						<ul>
							<li>Finding optimal routes are computationally intensive, the largest solved optimal route is close to 25k however took over 8 years of computation time on high spec hardware</li>
							<li>Approximate techniques can return results for large sets in a reasonable time within an acceptable margin to the optimal tour</li>

						</ul>
				</section>

				<section>
					<h2>Conclusions</h2>
						<ul>
							<li>
								The product is suitable for calculating routes for compound operators in small compounds as-is
								however with further work could be used as the basis of the routing side of a vehicle compound
								management application.
							</li>
							<li>
								Samples Repeated Nearest Neighbour with 2-OPT improvement consistently provides the shortest route across a
								wide range of tour lengths and would likely provide the basis for solving large tours
							</li>
							<li>
								The use of this API as a TSP tool could facilitate VRP algorithms calculated on a host system (i.e. EVL)
							</li>
						</ul>
				</section>


			<section>
				<h2>Further Work</h2>
				<ul>
					<li> Benchmark third party tools for finding optimal tours, i.e. concord solver, google TSP library</li>
					<li> Integration preparation
					<ul>
						<li> Develop a parking block translation method</li>
						<li> Multi-block weighting </li>
						<li> Parking type integration</li>
					</ul>
					</li>
				</ul>
			</section>


			</div> <!-- /slides -->

		</div><!-- /reveal -->

		<script src="/node_modules/reveal.js/lib/js/head.min.js"></script>
		<script src="/node_modules/reveal.js/js/reveal.js"></script>

		<script>

			// Full list of configuration options available at:
			// https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,
			    hideAddressBar: true,
			    showNotes: false,
			    touch: true,
			    previewLinks: true,
				transition: 'concave', // none/fade/slide/convex/concave/zoom
				help: true,
				// Optional reveal.js plugins
				dependencies: [
					{ src: '/node_modules/reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: '/node_modules/reveal.js/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: '/node_modules/reveal.js/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: '/node_modules/reveal.js/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: '/node_modules/reveal.js/plugin/zoom-js/zoom.js', async: true },
					{ src: '/node_modules/reveal.js/plugin/notes/notes.js', async: true }
				]
			});

		</script>

	</body>
</html>
